Subject: Re: bug#57037: Package `guile-newt' cannot be cross-compiled
From: Mathieu Othacehe <[email-masked]>
To: Jean Pierre De Jesus DIAZ <[email-masked]>
Cc: [email-masked]
Date: Mon, 08 Aug 2022 10:58:30 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

> The `guile-newt' package that is used for the installation UI can't
> be cross-compiled as it tries to load the `newt' dynamic library when
> the Guile code is compiled. I've tried to find a solution/fix but I
> don't know much about how Guile byte-code compilation works.

Fixed with bde902cb78c529174155e2d46ed814123182619f.

> I think this is one of the last remaining bits before being able to
> fully cross compile an installation image.

I think that guile-parted will also be problematic.

Thanks,

Mathieu